# DXGfxLib.ExecutableBlock Class Reference

This class is the base class of the classes that are going to be created on the fly by the Script object from the source code in skeleton, varSrc and codeSrc. More...

Inherited by DXGfxLib.Cursor, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.tiger, DXGfxLib.Water, and DXGfxLib.Water.

Collaboration diagram for DXGfxLib.ExecutableBlock:

[legend]

List of all members.

## Public Member Functions
void | Dispose ()
| It's good to have a Dispose method, although I must confess this one is totally empty at least for now.
virtual void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
virtual void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
virtual void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
void | Dispose ()
| It's good to have a Dispose method, although I must confess this one is totally empty at least for now.
virtual void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
virtual void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
virtual void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
## Public Attributes
SceneNode | parent = null
| The scene node on which the ExecutableBlock can perform operations.
Scene | scene = null
| The scene we are part of. Scripts can query the scene to get various information including references to other nodes.

## Detailed Description

This class is the base class of the classes that are going to be created on the fly by the Script object from the source code in skeleton, varSrc and codeSrc.

Definition at line 27 of file Script.cs.

## Member Function Documentation

override void DXGfxLib.ExecutableBlock.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 15 of file .script.cs.

override void DXGfxLib.ExecutableBlock.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 15 of file .script.cs.

virtual void DXGfxLib.ExecutableBlock.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 67 of file Script.cs.

virtual void DXGfxLib.ExecutableBlock.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 67 of file Script.cs.

Here is the caller graph for this function:

override void DXGfxLib.ExecutableBlock.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 18 of file .script.cs.

override void DXGfxLib.ExecutableBlock.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 18 of file .script.cs.

virtual void DXGfxLib.ExecutableBlock.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 80 of file Script.cs.

virtual void DXGfxLib.ExecutableBlock.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 80 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.ExecutableBlock.Dispose | ( |  | ) |

It's good to have a Dispose method, although I must confess this one is totally empty at least for now.

Definition at line 43 of file Script.cs.

void DXGfxLib.ExecutableBlock.Dispose | ( |  | ) |

It's good to have a Dispose method, although I must confess this one is totally empty at least for now.

Definition at line 43 of file Script.cs.

override void DXGfxLib.ExecutableBlock.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 12 of file .script.cs.

override void DXGfxLib.ExecutableBlock.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 12 of file .script.cs.

virtual void DXGfxLib.ExecutableBlock.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 55 of file Script.cs.

virtual void DXGfxLib.ExecutableBlock.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented in DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, DXGfxLib.Water, DXGfxLib.Cursor, DXGfxLib.domei, DXGfxLib.SampleScene, DXGfxLib.test, DXGfxLib.Test2, DXGfxLib.test3, DXGfxLib.tiger, and DXGfxLib.Water.

Definition at line 55 of file Script.cs.

Here is the caller graph for this function:

## Member Data Documentation

SceneNode DXGfxLib.ExecutableBlock::parent = null

The scene node on which the ExecutableBlock can perform operations.

Definition at line 32 of file Script.cs.

Scene DXGfxLib.ExecutableBlock::scene = null

The scene we are part of. Scripts can query the scene to get various information including references to other nodes.

Definition at line 38 of file Script.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Script.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Script.cs
- D:/guillaume/guillara/3D/DXGfx/SampleSceneLoader/bin/Debug/Media/tmpScripts/.script.cs
- D:/guillaume/guillara/3D/DXGfx/SceneSamples/Media/tmpScripts/.script.cs